Anzeige:
Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 15 von 23

Thema: MediathekView 13.0 startet nicht!?

  1. #1
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972

    Question MediathekView 13.0 startet nicht!?

    Liebe Fachleute,
    ich benötige mal wieder Eure Hilfe!
    Nach der Umstellung von 13.2 zu 13.3 starte MediathekView mit folgender Fehlermeldung:
    Code:
    MediathekView.sh
    Java virtual machine used: /usr/lib64/jvm/jre-1.8.0-openjdk/bin/java
    classpath used: /usr/share/java/Mediathek/MediathekView-13.3.0.jar:/usr/share/java/Mediathek/MediathekView.jar
    main class used: mediathek.Main
    flags used: 
    options used: '-Xms256M' '-Xmx1G'
    arguments used: 
    Error: A JNI error has occurred, please check your installation and try again
    Exception in thread "main" java.lang.UnsupportedClassVersionError: mediathek/Main has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
            at java.lang.ClassLoader.defineClass1(Native Method)
            at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
            at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
            at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
            at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
            at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
            at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
            at java.security.AccessController.doPrivileged(Native Method)
            at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
            at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
            at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
            at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
            at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:495)
    Vielen Dank für Eure Hilfe!

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  2. #2
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.298
    Du musst deine Java Umgebung aktualisieren >= Java 11 - sa https://en.wikipedia.org/wiki/Java_c...General_layout
    Oder halt die Anwendung mit deiner Version selber bauen.
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

  3. #3
    Registrierter Benutzer
    Registriert seit
    Dec 2003
    Ort
    Dettenhausen
    Beiträge
    21.144
    Ich bin root - ich darf das.

  4. #4
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972
    M.E. habe ich die richtige Java-Version - oder!?
    micha@linux-wie:~> java -version
    openjdk version "11.0.4" 2019-07-16
    OpenJDK Runtime Environment (build 11.0.4+11-suse-1.1-x8664)
    OpenJDK 64-Bit Server VM (build 11.0.4+11-suse-1.1-x8664, mixed mode)
    Linux OpenSuSE Leap KDE plasma5

  5. #5
    Registrierter Benutzer
    Registriert seit
    Dec 2003
    Ort
    Dettenhausen
    Beiträge
    21.144
    Grundlegend ja, aber aus irgendeinem Grund wird von MV die falsche verwendet:
    Code:
    Java virtual machine used: /usr/lib64/jvm/jre-1.8.0-openjdk/bin/java
    MediathekView.sh prüfen, ggf. Env anpassen, ggf. irgendwelche anderen Settings, 1.8 deinstallieren, ...
    Ich bin root - ich darf das.

  6. #6
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972
    Danke für den Tipp!

    Habe java 1.8 deinstalliert und MV 13.3 startet. Nur werden leider keine Filme geladen!? - was muss ich noch beachten?

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  7. #7
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    1.210
    Zitat Zitat von micha97 Beitrag anzeigen
    Danke für den Tipp!

    Habe java 1.8 deinstalliert und MV 13.3 startet. Nur werden leider keine Filme geladen!? - was muss ich noch beachten?

    Gruß micha
    Statt Deinstallation mal mit
    Code:
    update-alternatives
    befassen.
    Code:
    linux64:~ # update-alternatives --config java
    There are 2 choices for the alternative java (providing /usr/bin/java).
    
      Selection    Path                                       Priority   Status
    ------------------------------------------------------------
      0            /usr/lib64/jvm/jre-11-openjdk/bin/java      2105      auto mode
      1            /usr/lib64/jvm/jre-1.8.0-openjdk/bin/java   1805      manual mode
    * 2            /usr/lib64/jvm/jre-11-openjdk/bin/java      2105      manual mode
    
    Press <enter> to keep the current choice[*], or type selection number: 1
    update-alternatives: using /usr/lib64/jvm/jre-1.8.0-openjdk/bin/java to provide /usr/bin/java (java) in manual mode

  8. #8
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972
    Nochmals DANK für Eure Hilfe!
    Habe MV sowie jre-11 komplett gelöscht und neu installiert.
    - Nun läuft es einwandfrei!

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  9. #9
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972
    Zitat Zitat von micha97 Beitrag anzeigen
    Nochmals DANK für Eure Hilfe!
    Habe MV sowie jre-11 komplett gelöscht und neu installiert.
    - Nun läuft es einwandfrei!

    Gruß micha
    Das war gestern! - und heute bekomme ich wieder eine Fehlermeldung, obwohl ich nichts geändert habe:
    Invalid MIT-MAGIC-COOKIE-1 keyError: A JNI error has occurred, please check your installation and try again
    Exception in thread "main" java.lang.UnsupportedClassVersionError: mediathek/Main has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java :763)
    at java.security.SecureClassLoader.defineClass(Secure ClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader .java:468)
    at java.net.URLClassLoader.access$100(URLClassLoader. java:74)
    at java.net.URLClassLoader$1.run(URLClassLoader.java: 369)
    at java.net.URLClassLoader$1.run(URLClassLoader.java: 363)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.j ava:362)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:4 24)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launche r.java:349)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:3 57)
    at sun.launcher.LauncherHelper.checkAndLoadMain(Launc herHelper.java:495)




    was hat das nun zu beduten!?

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  10. #10
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    1.210
    Da gab es ein Java Update.......

  11. #11
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972
    und wie kann ich das "reparieren"?
    Vielen Dank für Dein Bemühen!
    Linux OpenSuSE Leap KDE plasma5

  12. #12
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    1.210
    Das alte installieren?
    Ich arbeite noch mit Mediathekview 13.0.6 und Java 8
    Geändert von Sauerland1 (17.08.19 um 14:14 Uhr)

  13. #13
    Registrierter Benutzer
    Registriert seit
    Dec 2003
    Ort
    Dettenhausen
    Beiträge
    21.144
    ... oder mal
    Code:
    update-alternatives
    versuchen.
    ... oder das Start-Scripte des MV anpassen und die env entsprechend setzen.
    ... oder java-8 blacklisten, ... - irgendeinen Grund scheint es ja gegeben zu haben, daß das System der Meinung war, ein fehlendes JDK nachinstallieren zu wollen.
    Ich bin root - ich darf das.

  14. #14
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    1.972
    Habe alles neu installiert und trotzdem die gleiche Fehlermeldung erhalten.
    sudo update-alternatives --config java
    [sudo] Passwort für root:
    There are 2 choices for the alternative java (providing /usr/bin/java).

    Selection Path Priority Status
    ------------------------------------------------------------
    0 /usr/lib64/jvm/jre-11-openjdk/bin/java 2105 auto mode
    1 /usr/lib64/jvm/jre-1.8.0-openjdk/bin/java 1805 manual mode
    * 2 /usr/lib64/jvm/jre-11-openjdk/bin/java 2105 manual mode
    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  15. #15
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    1.210
    Hast du es mal mit dem "alten" Java 11 probiert?

Ähnliche Themen

  1. MediathekView startet schon wieder nicht!?
    Von micha97 im Forum Fernsehen
    Antworten: 2
    Letzter Beitrag: 05.08.18, 11:04
  2. Antworten: 5
    Letzter Beitrag: 25.07.18, 20:39
  3. squid startet, startet nicht, startet, startet nicht
    Von rene im Forum Linux als Server
    Antworten: 21
    Letzter Beitrag: 02.08.09, 10:46
  4. CMOS Error => Powersave startet nicht => Fhärt nicht richtig runter.
    Von Kleinweby im Forum System installieren und konfigurieren
    Antworten: 1
    Letzter Beitrag: 22.08.05, 19:11
  5. Neuer Kernel startet nicht??? (Rechner startet neu)
    Von Alexander Hinrichs im Forum Kompilieren von Kernel und Sourcen
    Antworten: 2
    Letzter Beitrag: 23.03.02, 10:17

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •